<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EInvoiceManage.aspx.cs" Inherits="M_Main.ChargesNew.EInvoiceManage" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>开具电票</title>

    <script type="text/javascript" src="../Jscript-Ui/jquery-easyui-1.4.4/jquery.min.js"></script>
    <script type="text/javascript" src="../jscript/DateControl.js"></script>
    <script type="text/javascript" src="../jscript/JSClient.js"></script>
    <script type="text/javascript" src="../jscript/ajax.js"></script>
    <script type="text/javascript" src="../jscript/Keydown.js" event="onkeydown" for="document"></script>

    <script src="../jscript/JSClient.js" type="text/javascript"></script>
    <script src="../jscript/jquery.tool.new.js" type="text/javascript"></script>
    <link rel="stylesheet" type="text/css" href="../Jscript-Ui/jquery-easyui-1.4.4/themes/default/easyui.css" />
    <link rel="stylesheet" type="text/css" href="../Jscript-Ui/jquery-easyui-1.4.4/themes/icon.css" />
    <script type="text/javascript" src="../Jscript-Ui/jquery-easyui-1.4.4/jquery.easyui.min.js"></script>
    <script type="text/javascript" src="../Jscript-Ui/jquery-easyui-1.4.4/locale/easyui-lang-zh_CN.js"></script>
    <link href="../css/framesearch.css" type="text/css" rel="stylesheet" />
    <script type="text/javascript" src="../Jscript-Ui/JQForm/JQForm.js"></script>

    <script src="../jscript/Dialog.js" type="text/javascript"></script>
    <link href="../css/framesearch_old.css" type="text/css" rel="stylesheet" />
    <link href="../css/button.css" rel="stylesheet" />
    <script src="../jscript/DateFormat.js" type="text/javascript"></script>
    <script src="../jscript/format.js" type="text/javascript"></script>

    <script type="text/javascript" src="../jscript/DatePicker/WdatePicker.js"></script>
    <script src="../jscript/Authority.js" type="text/javascript"></script>
</head>
<body style="overflow-y: auto">
    <form id="form1" runat="server">
        <input id="CommID" name="CommID" type="hidden" runat="server" value="" />
        <input id="CustID" name="CustID" type="hidden" runat="server" value="" />
        <input id="ReserveDate" name="ReserveDate" type="hidden" value="" />

        <input id="RoomID" name="RoomID" type="hidden" runat="server" value="" />

        <input id="ReceiveIDs" name="ReceiveIDs" type="hidden" value="" />
        <input id="PreReceiveIDs" name="PreReceiveIDs" type="hidden" value="" />
        <input id="PrecIDs" name="PrecIDs" type="hidden" value="" />
        <input id="LateFeesIDs" name="LateFeesIDs" type="hidden" value="" />
        <input id="OffsetIDs" name="OffsetIDs" type="hidden" value="" />
        <input id="ConSignIDs" name="ConSignIDs" type="hidden" value="" />
        <input id="WaivIDs" name="WaivIDs" type="hidden" value="" />
        <input id="IsEmail" name="IsEmail" value="0" type="hidden" />

        <input id="SpecialTicketAmount" name="SpecialTicketAmount" runat="server" value="0" type="hidden" />
        <input id="GeneralTicketAmount" name="GeneralTicketAmount" runat="server" value="0" type="hidden" />

        <input id="BillData" name="BillData" value="" type="hidden" />
        <table class="DialogTable" id="ETable" style="width: 95%; margin: 0px auto">
            <tr>
                <td colspan="4" style="border: 1px solid #cccccc; padding-left: 12px; background-color: #F6F6F6; font-size: 16px; text-align: center; font-family: 微软雅黑;">
                    <span style="font-size: 16px">销货单位信息</span> </td>
            </tr>
            <tr style="display: none;">
                <td class="TdTitle">税控盘编号</td>
                <td class="DialogTdContent">
                    <input id="skpbh" name="skpbh" type="text" runat="server" />
                </td>
                <td class="TdTitle">开票终端标识</td>
                <td class="DialogTdContent">
                    <input id="KPZDBS" name="KPZDBS" type="text" runat="server" />
                </td>
            </tr>
            <tr>
                <td class="TdTitle">销货单位识别号</td>
                <td class="DialogTdContent">
                    <input id="xhdwsbh" type="text" data-options="required:true" name="xhdwsbh" runat="server" /></td>
                <td class="TdTitle">销货单位名称</td>
                <td class="DialogTdContent">
                    <input id="xhdwmc" type="text" data-options="required:true" name="xhdwmc" runat="server" /></td>
            </tr>
            <tr>
                <td class="TdTitle">销货单位地址电话</td>
                <td class="DialogTdContent">
                    <input id="xhdwdzdh" type="text" data-options="required:true" name="xhdwdzdh" runat="server" /></td>
                <td class="TdTitle">销货单位银行帐号</td>
                <td class="DialogTdContent">
                    <input id="xhdwyhzh" type="text" data-options="required:true" name="xhdwyhzh" runat="server" /></td>
            </tr>
            <tr>
                <td colspan="4" style="border: 1px solid #cccccc; padding-left: 12px; background-color: #F6F6F6; font-size: 16px; text-align: center; font-family: 微软雅黑;">
                    <span style="font-size: 16px">购货单位信息</span> </td>
            </tr>
            <tr>
                <td class="TdTitle">客户类别</td>
                <td class="DialogTdContent">
                    <input id="BillCustType" name="BillCustType" runat="server" />
                </td>
                <td class="TdTitle">抬头信息</td>
                <td class="DialogTdContent">
                    <input id="CustName" name="CustName" runat="server" />
                    <input id="BillTaxpayer" name="BillTaxpayer" runat="server" style="display: none;" />
                </td>
            </tr>
            <tr>
                <td class="TdTitle">纳税人识别号</td>
                <td class="DialogTdContent">
                    <input id="BillTaxpayerNumber" maxlength="50" name="BillTaxpayerNumber" runat="server" class="easyui-validatebox" />
                </td>
                <td class="TdTitle">开户银行</td>
                <td class="DialogTdContent">
                    <input id="BillBankName" maxlength="50" name="BillBankName" runat="server" class="easyui-validatebox" />
                </td>
            </tr>
            <tr>
                <td class="TdTitle">地址、电话</td>
                <td class="DialogTdContent">
                    <input id="BillAddress" maxlength="50" name="BillAddress" runat="server" class="easyui-validatebox" />
                </td>
                <td class="TdTitle">银行账号</td>
                <td class="DialogTdContent">
                    <input id="BillBankAccount" maxlength="50" name="BillBankAccount" runat="server" class="easyui-validatebox" />
                </td>

            </tr>
            <tr>
                <td class="TdTitle">电子邮箱</td>
                <td class="DialogTdContent">
                    <input id="BillEmail" maxlength="50" name="BillEmail" runat="server" class="easyui-validatebox" data-options="prompt:'Enter a valid email.',validType:'email'" />
                </td>
                <td class="TdTitle">个人联系电话</td>
                <td class="DialogTdContent">
                    <input id="BillPhone" maxlength="50" name="BillPhone" runat="server" />
                </td>
            </tr>
            <tr>
                <td class="TdTitle">备注</td>
                <td class="TdContentSearch" colspan="3">
                    <input id="BillRemark" maxlength="200" style="height: 40px; width: 90%;" name="BillRemark" runat="server" />
                </td>
            </tr>
            <tr>
                <td class="TdTitle">发票种类</td>
                <td class="DialogTdContent">
                    <select id="InvoiceType" name="InvoiceType" runat="server">
                        <%--<option value="026" selected="selected">增值税电子发票</option>
                        <option value="004">增值税专用发票</option>
                        <option value="007">增值税普通发票</option>
                       <option value="82">全电普票</option>
                        <option value="81">全电专票</option>--%>
                    </select>
                </td>

            </tr>
            <tr style="display: none;">
                <td class="TdTitle">发票规格型号</td>
                <td class="DialogTdContent">
                    <input id="InvoiceGGXH" name="InvoiceGGXH" type="text" runat="server" />
                </td>
                <td class="TdTitle">发票单位</td>
                <td class="DialogTdContent">
                    <input id="InvoiceDW" name="InvoiceDW" type="text" runat="server" />
                </td>
            </tr>

            <tr style="display: none;">
                <td class="TdTitle">发票数量</td>
                <td class="DialogTdContent">
                    <input id="InvoiceSPSL" name="InvoiceSPSL" type="text" runat="server" />
                </td>
                <td class="TdTitle">
                    <input type="checkbox" id="SendEmail" name="SendEmail" style="margin-left: 40px;" /><label for="SendEmail" style="color: red">发送电子邮件</label></td>
                <td class="DialogTdContent">
                    <input class="button" onclick="UpdateBillInfo()"
                        type="button" value="更新信息" name="btnFilter" runat="server" />
                </td>
            </tr>
        </table>
        <div id="TableContainer" style="width: 100%; height: 180px"></div>
        <div style="height: 25px; float: left; line-height: 25px; width: 100%; font-size: 14px;">
            <div style="float: right; margin-right: 20px;">总金额&nbsp;&nbsp;&nbsp;<span style="margin-left: 5px" id="Amount"></span></div>
        </div>
        <div style="height: 10px; width: 100%"></div>
        <input class="button" onclick="Return()" style="margin-right: 20px; float: right"
            type="button" value="返回" name="btnFilter" runat="server" />
        <input class="button" id="btnSave" onclick="SureBill()" style="margin-right: 20px; float: right"
            type="button" value="确认开票" name="btnFilter" runat="server" />

    </form>

    <script type="text/javascript">

        //$("#InvoiceType").change(function () {
        //    if ($("#InvoiceType").val() == "004") {
        //        $("#BillTaxpayer").show();
        //        $("#CustName").hide();
        //    } else {
        //        $("#CustName").show();
        //        $("#BillTaxpayer").hide();
        //    }

        //});
        //获取字符长度
        function byteCount(str) {
            return str && str.replace(/[^\x00-\xff]/g, "xx").length || 0;
        }

        function Return() {
            HDialog.Close();
        }
        var CLICKTAG = 0;
        function SureBill() {
            if (CLICKTAG == 0) {
                CLICKTAG = 1;
                $("#btnSave").attr('disabled', true);
                // 等待3s后重置按钮可用
                setTimeout(function () { CLICKTAG = 0; $("#btnSave").removeAttr("disabled"); }, 3000);
                if ($('#form1').form('enableValidation').form('validate') == false) {
                    return;
                }

                var ob = $("#TableContainer").datagrid('getRows');
                if (ob.length < 1) {
                    HDialog.Info("费用明细为空,不能开票！");
                    return;
                }
                if (parseFloat($("#Amount").text()) <= 0) {
                    HDialog.Info("开票总金额小于等于0,不能开票！");
                    return;
                }
                if ($("#InvoiceType").val() == "004" || $("#InvoiceType").val() == "81") {
                    //if (parseFloat($("#SpecialTicketAmount").val()) <= 0) {
                    //    HDialog.Info("当前项目专票金额小于等于0,不能开票！");
                    //    return;
                    //    //} else if (parseFloat($("#SpecialTicketAmount").val()) < parseFloat($("#Amount").text())) {
                    //    //    HDialog.Info("开票总金额大于当前项目的专票金额" + $("#SpecialTicketAmount").val() + "！");
                    //    //    return;
                    //} else
                    if ($("#CustName").val() == "") {
                        HDialog.Info("开专用发票抬头信息必填,请维护开票信息！");
                        return;
                    } else if ($("#BillTaxpayerNumber").val() == "") {
                        HDialog.Info("开专用发票购方税号必填,请维护开票信息！");
                        return;
                    }
                    else if ($("#BillAddress").val() == "") {
                        HDialog.Info("开专用发票购方地址必填,请维护开票信息");
                        return;
                    } else if ($("#BillPhone").val() == "") {
                        HDialog.Info("开专用发票购方电话必填,请维护开票信息");
                        return;
                    } else if ($("#BillBankName").val() == "") {
                        HDialog.Info("开专用购买方开户银行名称必填,请维护开票信息");
                        return;
                    } else if ($("#BillBankAccount").val() == "") {
                        HDialog.Info("开专用购买方开户银行账号必填,请维护开票信息");
                        return;
                    }
                    //else if ($("#KPZDBS").val() == "") {
                    //    HDialog.Info("开纸票开票终端标识必填,请维护开票信息");
                    //    return;
                    //}
                } else {
                    //if ($("#InvoiceType").val() == "007") {
                    //    if ($("#KPZDBS").val() == "") {
                    //        HDialog.Info("开纸票开票终端标识必填！");
                    //        return;
                    //    }
                    //}

                    //if (parseFloat($("#GeneralTicketAmount").val()) <= 0) {
                    //    HDialog.Info("当前项目普票金额小于等于0,不能开票！");
                    //    return;
                    //    //} else if (parseFloat($("#GeneralTicketAmount").val()) < parseFloat($("#Amount").text())) {
                    //    //    HDialog.Info("开票总金额大于当前项目的普票金额" + $("#GeneralTicketAmount").val() + "！");
                    //    //    return;
                    //}
                }

                if ($("#InvoiceType").val() == "026") {
                    if ($("#BillEmail").val() == "") {
                        HDialog.Info("电子邮箱为空,请输入邮箱！");
                        return;
                    }
                }
                if (byteCount($("#BillRemark").val()) > 150) {
                    HDialog.Info("开票备注最多150个字符！");
                    return;
                }

                //清除未开票完成的票据数据
                $.tool.DataPostNoLoading("EInvoiceManage", "CleanEinvoice", $('#form1').serialize(),
                    function Init() { },
                    function callback(_Data) {
                        //发起开票
                        $.tool.DataPost("EInvoiceManage", "ApplyBill", $('#form1').serialize(),
                            function Init() { },
                            function callback(_Data) {
                                //$.tool.pageUnLoading();
                                var data = JSON.parse(_Data);
                                if (data.state == "true") {
                                    HDialog.Info(data.msg);
                                    HDialog.Close('ok');
                                }
                                else {
                                    HDialog.Info(data.msg);
                                }
                            },
                            function completeCallback() {
                            },
                            function errorCallback() {
                            });

                    },
                    function completeCallback() {
                    },
                    function errorCallback() {
                    });


            }
        }



        function UpdateBillInfo() {
            if ($('#form1').form('enableValidation').form('validate') == false) {
                return false;
            }
            $.tool.DataPost("EInvoiceManage", "UpdateBillsInfo", $('#form1').serialize(), function Init() {
            },
                function callback(_Data) {

                    if (_Data == "true") {
                        HDialog.Info("更新成功");
                    }
                },
                function completeCallback() {
                },
                function errorCallback() {
                });
        }



        function validateBillInfo() {
            if ($("#BillCustType").val() == "单位") {

                $('#BillTaxpayerNumber').attr("disabled", false);
                $('#BillBankName').attr("disabled", false);
                $('#BillBankAccount').attr("disabled", false);
                $('#BillAddress').attr("disabled", false);
                $('#BillPhone').attr("disabled", false);
                $('#BillTaxpayerNumber').validatebox({
                    required: true
                });
                //$('#BillBankName').validatebox({
                //    required: true
                //});
                //$('#BillBankAccount').validatebox({
                //    required: true
                //});
                //$('#BillAddress').validatebox({
                //    required: true
                //});
                //$('#BillPhone').validatebox({
                //    required: true
                //});
            }
            else {
                //$('#BillTaxpayerNumber').val('');
                //$('#BillBankName').val('');
                //$('#BillBankAccount').val('');
                //$('#BillAddress').val('');
                //$('#BillPhone').val('');

                $('#BillTaxpayerNumber').attr("disabled", true);
                $('#BillBankName').attr("disabled", true);
                $('#BillBankAccount').attr("disabled", true);
                //$('#BillAddress').attr("disabled", true);
                //$('#BillPhone').attr("disabled", true);

                $('#BillTaxpayerNumber').validatebox({
                    required: false
                });
                $('#BillBankName').validatebox({
                    required: false
                });
                $('#BillBankAccount').validatebox({
                    required: false
                });
                $('#BillAddress').validatebox({
                    required: false
                });
                $('#BillPhone').validatebox({
                    required: false
                });
            }
        }

        $(function () {
            //查询开专票权限
            CheckAuthority('010401', function callback(_Data) {
                if (_Data == "true") {
                    var str = '<option value="82">全电普票</option><option value="81">全电专票</option>';
                    $("#InvoiceType").append(str);
                } else {
                    var str = '<option value="82">全电普票</option>';
                    $("#InvoiceType").append(str);
                }
            })
        })

        var FeesColumn = [[
            { field: 'RoomName', title: '房屋名称', width: 120, align: 'left', sortable: true },
            { field: 'RoomSign', title: '房屋编号', width: 120, align: 'left', sortable: true },
            { field: 'CostName', title: '费用名称', width: 100, align: 'left', sortable: true },
            {
                field: 'FeesStateDate', title: '应收开始日期', width: 100, align: 'left', sortable: true, formatter: function (value, row, index) {
                    var str = formatDate(value, "yyyy-MM-dd");
                    return str;
                }
            },
            {
                field: 'FeesEndDate', title: '应收结束日期', width: 100, align: 'left', sortable: true, formatter: function (value, row, index) {
                    var str = formatDate(value, "yyyy-MM-dd");
                    return str;
                }
            },
            { field: 'TaxRate', title: '税率(%)', width: 60, align: 'left', sortable: true },
            { field: 'TaxAmount', title: '税额', width: 60, align: 'left', sortable: true },
            { field: 'BillAmount', title: '开票金额', width: 80, align: 'left', sortable: true },
            {
                field: 'IsRealEstateLeasing', title: '是否不动产租赁', width: 100, align: 'left', sortable: true,
                formatter: function (value, row, index) {
                    var str = '否';
                    if (row.IsRealEstateLeasing == 1) {
                        str = '是';
                    }
                    return str;
                }
            }
        ]];



        var FeesMsg = sessionStorage.getItem("BillFeesMsg");
        console.log(FeesMsg);
        var MsgArr = FeesMsg.split(",");
        var RoomID = MsgArr[0].split("|")[1];

        var ReceiveIDs = new Array();
        //var PreReceiveIDs = new Array();
        var PrecIDs = new Array();
        var LateIDs = new Array();
        var OffsetIDs = new Array();
        var ConSignIDs = new Array();
        var WaivIDs= new Array();
        for (var i = 0; i < MsgArr.length; i++) {
            var arr = MsgArr[i].split("|");
            switch (arr[2]) {
                case "1":
                    ReceiveIDs.push(arr[0]);
                    break;
                //case "2":
                //    PreReceiveIDs.push(arr[0]);
                //    break;
                case "3":
                    PrecIDs.push(arr[0]);
                    break;
                case "4":
                    LateIDs.push(arr[0]);
                    break;
                case "5":
                    OffsetIDs.push(arr[0]);
                    break;
                case "6":
                    ConSignIDs.push(arr[0]);
                    break;
                case "7":
                    WaivIDs.push(arr[0]);
                    break;
                default:
            }

        }
        $("#ReceiveIDs").val(ReceiveIDs.join(","));
        //$("#PreReceiveIDs").val(PreReceiveIDs.join(","));
        $("#PrecIDs").val(PrecIDs.join(","));
        $("#LateFeesIDs").val(LateIDs.join(","));
        $("#OffsetIDs").val(OffsetIDs.join(","));
        $("#ConSignIDs").val(ConSignIDs.join(","));
        $("#WaivIDs").val(WaivIDs.join(","));

        //加载数据
        function LoadData() {

            //加载已经统计了的数据
            $("#TableContainer").datagrid({
                title: '费用详情',
                url: '/HM/M_Main/HC/DataPostControl.aspx',
                method: "post",
                nowrap: false,
                pageSize: 50,
                pageList: [30, 50, 100],
                columns: FeesColumn,
                fitColumns: false,
                singleSelect: true,
                remoteSort: false,
                rownumbers: true,
                border: false,
                sortOrder: "asc",
                onBeforeLoad: function (param) {
                    param = $.JQForm.GetParamNoPage("EInvoiceManage", "GetCanBillFees", "TableContainer", param);
                },
                onLoadSuccess: function (data) {
                    var rows = data.rows;
                    console.log(rows);
                    var exists = false;
                    var CostRoom = new Array();
                    var comm = rows[0].CommName == undefined ? "" : rows[0].CommName;
                    for (var i = 0; i < rows.length; i++) {
                        var roomSign = rows[i].RoomSign == undefined ? "" : rows[i].RoomSign;
                        var cost = rows[i].CostName == undefined ? "" : rows[i].CostName;
                        var park = rows[i].ParkName == undefined ? "" : rows[i].ParkName;
                        exists = false;
                        var str = "";
                        if (park != "" && cost != "" && roomSign != "") {
                            str = roomSign + "," + cost + "," + park;
                        } else {
                            if (roomSign != "") {
                                str += roomSign + ",";
                            }
                            if (cost != "") {
                                str += cost + ",";
                            }
                            if (park != "") {
                                str += park + ",";
                            }
                        }
                        for (var j = 0; j < CostRoom.length; j++) {
                            if (CostRoom[j] == (str)) {
                                exists = true;
                                break;
                            }
                        }
                        if (!exists) {
                            CostRoom.push(str);
                        }
                    }


                    for (var i = 0; i < CostRoom.length; i++) {
                        var datearr = new Array();
                        for (var j = 0; j < rows.length; j++) {
                            var roomSign = rows[i].RoomSign == undefined ? "" : rows[i].RoomSign;
                            var cost = rows[j].CostName == undefined ? "" : rows[j].CostName;
                            var park = rows[j].ParkName == undefined ? "" : rows[j].ParkName;
                            var str = "";
                            if (park != "" && cost != "" && roomSign != "") {
                                str = roomSign + "," + cost + "," + park;
                            } else {
                                if (roomSign != "") {
                                    str += roomSign + ",";
                                }
                                if (cost != "") {
                                    str += cost + ",";
                                }
                                if (park != "") {
                                    str += park + ",";
                                }
                            }
                            if (CostRoom[i] == (str)) {
                                var FeesStateDate = rows[j].FeesStateDate == undefined ? "" : rows[j].FeesStateDate;
                                var FeesEndDate = rows[j].FeesEndDate == undefined ? "" : rows[j].FeesEndDate;
                                if (FeesStateDate != "" && FeesEndDate != "") {
                                    datearr.push(formatDate(FeesStateDate, "yyyy/MM/dd"));
                                    datearr.push(formatDate(FeesEndDate, "yyyy/MM/dd"));
                                }
                            }
                        }
                        datearr.sort();
                        if (datearr[0] != undefined && datearr[datearr.length - 1] != undefined) {
                            CostRoom[i] = CostRoom[i] + datearr[0] + "--" + datearr[datearr.length - 1];
                        } else {
                            CostRoom[i] = CostRoom[i];
                        }
                    }


                    var amount = 0;
                    var strMemo = '';
                    for (var i = 0; i < rows.length; i++) {
                        amount += parseFloat(rows[i].BillAmount);
                    }
                    $("#Amount").text(amount.toFixed(2));
                    //var signArr = strMemo.split(',');
                    //strMemo = uniq(signArr).join(',');
                    //$("#BillRemark").val(strMemo);
                    $("#BillData").val(JSON.stringify(rows));
                    $("#BillRemark").val(comm + "," + CostRoom.join(','));
                    //LoadEInvoiceSells();
                },
                rowStyler: function (index, row) {
                    return 'height:20px;';
                }
            });
        }

        LoadData();


        function uniq(array) {
            var temp = []; //一个新的临时数组
            for (var i = 0; i < array.length; i++) {
                if (temp.indexOf(array[i]) == -1) {
                    temp.push(array[i]);
                }
            }
            return temp;
        }
        //获取销方配置信息
        function LoadEInvoiceSells() {
            $.tool.DataPostNoLoading("EInvoiceManage", "GetEInvoiceSells", $('#form1').serialize(),
                function Init() { },
                function callback(_Data) {
                    if (_Data != "") {
                        console.log(_Data);
                        var obj = JSON.parse(_Data);
                        $("#skpbh").val(obj[0].skpbh);
                        $("#KPZDBS").val(obj[0].skpkl);
                        $("#xhdwmc").val(obj[0].xhdwmc);
                        $("#xhdwsbh").val(obj[0].xhdwsbh);
                        $("#xhdwdzdh").val(obj[0].xhdwdzdh);
                        $("#xhdwyhzh").val(obj[0].xhdwyhzh);
                        $("#SpecialTicketAmount").val(obj[0].SpecialTicketAmount);
                        $("#GeneralTicketAmount").val(obj[0].GeneralTicketAmount);
                    }

                },
                function completeCallback() {
                },
                function errorCallback() {
                }
            );
        }
    </script>
</body>
</html>
